Bug 201400 - Unable to create maven project into symlinked folder
Unable to create maven project into symlinked folder
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.0.1
All All
: P2 (vote)
: 7.0.1
Assigned To: Jesse Glick
issues@projects
701patch1-verified
: REGRESSION
Depends on:
Blocks: 198997
  Show dependency treegraph
 
Reported: 2011-08-29 15:06 UTC by Tomas Danek
Modified: 2011-09-26 13:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2011-08-29 15:06:25 UTC
7.0.1 + patch1, reproducible also in latest trunk # 20110829
-----------------------------
- on my mac, /tmp is symlinked /tmp -> private/tmp
- if you try to create in IDE maven java project into /tmp, it fails:

cd /tmp; JAVA_HOME=/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home "/Applications/NetBeans/NetBeans 7.0.app/Contents/Resources/NetBeans/java/maven/bin/mvn" -f /tmp/pom.xml -DarchetypeVersion=1.1 -Darchetype.interactive=false -DgroupId=com.mycompany -DarchetypeArtifactId=maven-archetype-quickstart -DarchetypeRepository=http://repo1.maven.org/maven2/ -Dversion=1.0-SNAPSHOT -DarchetypeGroupId=org.apache.maven.archetypes -Dbasedir=/tmp -Dpackage=com.mycompany.foo -DartifactId=foo --batch-mode archetype:generate
Scanning for projects...
The build could not read 1 project -> [Help 1]
  
  The project  (/tmp/pom.xml) has 1 error
    Non-readable POM /tmp/pom.xml: /tmp/pom.xml (No such file or directory)

To see the full stack trace of the errors, re-run Maven with the -e switch.
Re-run Maven using the -X switch to enable full debug logging.

For more information about the errors and possible solutions, please read the following articles:
[Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException


this worked in 7.0.1, and could be possibly regression from fix of issue 198997 (which is in 7.0.1 patch1)
Comment 1 Jesse Glick 2011-08-30 12:29:10 UTC
Just affects project creation. Workaround would be to create project somewhere else and move it.
Comment 2 Jesse Glick 2011-08-30 12:35:13 UTC
core-main #6441411dd350
Comment 3 Jesse Glick 2011-08-30 12:37:58 UTC
Easy to backport, just do it yourself or let me know to do it.
Comment 4 Tomas Danek 2011-08-30 12:57:44 UTC
I'll verify in trunk ASAP. Please backport change yourself once it is verified, thanks. (i do not have releases repo cloned locally)
Comment 5 Tomas Danek 2011-08-30 15:05:24 UTC
fix works,verified in core-main build. Please backport.

Product Version: NetBeans IDE Dev (Build 20110830-6441411dd350)
Java: 1.6.0_26; Java HotSpot(TM) 64-Bit Server VM 20.1-b02-384
System: Mac OS X version 10.6.8 running on x86_64; MacRoman; en_US (nb)
User directory: /Users/tomas/.netbeans/dev
Cache directory: /Users/tomas/.netbeans/dev/var/cache
Comment 6 Jesse Glick 2011-08-30 16:00:37 UTC
releases #b9d74c62f5e8
Comment 7 Quality Engineering 2011-08-31 04:24:28 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/b9d74c62f5e8
User: Jesse Glick <jglick@netbeans.org>
Log: #201400: Unable to create maven project into symlinked folder
(transplanted from 6441411dd35016a81ea8fccf8720301161036620)
Comment 8 Tomas Danek 2011-08-31 08:09:47 UTC
verified in latest patch bits.
Comment 9 Quality Engineering 2011-08-31 14:29:08 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/6441411dd350
User: Jesse Glick <jglick@netbeans.org>
Log: #201400: Unable to create maven project into symlinked folder
Comment 10 Quality Engineering 2011-09-26 13:32:38 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/1d06bcb9ebc9
User: Jesse Glick <jglick@netbeans.org>
Log: #201400: Unable to create maven project into symlinked folder
(transplanted from 6441411dd35016a81ea8fccf8720301161036620)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo